CKON(1)

NAME
ckon - automatic build tool for ROOT analyses

DESCRIPTION
ckon -- automatic build tool for ROOT

  Generic Options:

-h [ --help ]
    show this help

--version
    print version number

-v [ --verbose ]
    verbose output

-j arg
    call make w/ -j <#cores>

--ckon_cmd arg
    setup | clean | install | dry

  Configuration:

-s [ --suffix ] arg
    add suffix + in LinkDef.h (bool)

-y [ --yaml ] arg
    use yaml

--ckon.src_dir arg
    source dir

--ckon.exclSuffix arg
    no + suffix

--ckon.NoRootCint arg
    no dictionary

--ckon.prog_subdir arg progs subdir

--ckon.build_dir arg
    build dir

--ckon.install_dir arg install dir

--ckon.cppflags arg
    add CPPFLAGS

--ckon.boost arg
    boost libraries

In addition, unregistered options of the form ldadd.prog_name are allowed to use for adding LDFLAGS to the linker of specific programs. The given string/value is added verbatim in LDADD. Unregistered options are only allowed in ckon.cfg

SEE ALSO
https://ckon.readthedocs.org